PSSCALE(l)

NAME
psscale - Create grayscale or colorscale for maps

SYNOPSIS
psscale -Dxpos/ypos/length/width[h] [ -Btickinfo ] [ -Ccpt_file ] [ -E[length] ] [ -I[max_intens] ] [ -K ] [ -L ] [ -M ] [ -Ndpi ] [ -O ] [ -P ] [ -U[/dx/dy/][label] ] [ -V ] [ -Xx-shift ] [ -Yy-shift ] [ -Zzfile ] [ -ccopies ]

DESCRIPTION
psscale plots grayscales or colorscales on maps. Both horizontal and vertical scales are supported. For cpt_files with gradational colors (i.e., the lower and upper boundary of an interval have different r/g/b values) psscale will interpolate to give a continuous scale. Variations in intensity due to shading/illumination may be displayed by setting the option -I. Colors may be spaced according to a linear scale, all be equal size, or by providing a file with individual tile widths.

-D  Defines the position of the center/top (for horizontal scale) or center/left (for vertical scale) and the dimensions of the scale. Append h to get a horizontal scale [Default is vertical].

OPTIONS
No space between the option flag and the associated arguments.

-B  Set anotation, tick, and gridline interval for the colorbar. The xaxis label will plot beneath a horizontal bar (or vertically to the right of a vertical bar). As an option, use the yaxis label to plot the data unit to the right of a horizontal bar (and above a vertical bar). If no values are provided, the default is to anotate every color level (which may be overridden by ULB flags in the cpt file). Note that since vertical labels will be plotted as a column of individual characters, no octal escape characters imbedded in the label are allowed.

-C  cpt_file is the color palette file to be used. By default all color changes are anotated. To use a subset, add an extra column to the cpt-file with a L, U, or B to anotate Lower, Upper, or Both color segment boundaries (but see -B). If not given, psscale will read stdin. As for grdview, psscale can understand pattern specifications in the cpt file.

-E  Add sidebar triangles for back- and foreground colors. Optionally, append triangle height [Default is half the barwidth].

-I  Add illumination effects. Optionally, set the range of intensities from + to - max_intens. If not specified, 1.0 is used. [Default is no illumination]

-K  More PostScript code will be appended later [Default terminates the plot system].

-L  Gives equal-sized color rectangles. Default scales rectangles according to the z-range in the cpt-file (Also see -Z). If set, any equal interval annotation set with -B will be ignored.

-M  Force a monochrome graybar using the (television) YIQ transformation.

-N  Effective dots-per-inch for the rectangular image making up the color scale [300].

-bo Selects binary output. Append s for single precision [Default is double].

-P  Selects Portrait plotting mode [GMT Default is Landscape, see gmtdefaults to change this].

-U  Draw Unix System time stamp on plot. User may specify where the lower left corner of the stamp should fall on the page relative to lower left corner of plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME and UNIX_TIME_POS can affect the appearance; see the gmtdefaults man page for details.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-X -Y
    Shift origin of plot by (x-shift,y-shift). Prepend a for absolute coordinates; the default (r) will reset plot origin.

-Z  File with colorbar-width per color entry. By default, width of entry is scaled to color range, i.e., z = 0-100 gives twice the width as z = 100-150 (Also see -L).

-c  Specifies the number of plot copies. [Default is 1]

EXAMPLES
To append a vertical colorscale (7.5 cm long; 1.25 cm wide) to the right of a plot that is 6 inch wide and 4 inch high, using illumination, and show back- and foreground colors, and anotating every 5 units, try

psscale -D6.5i/2i/7.5c/1.25c -O -Ccolors.cpt -I -E -B5:BATHYMETRY:/:m: >> map.ps

NOTES
When the cpt file is discrete and no illumination is specified, the color bar will be painted using polygons. For all other cases we must paint with an image. Some color printers may give slightly different colors for the two methods given identical RGB values.

SEE ALSO
gmt(1gmt), makecpt(1gmt), grd2cpt(1gmt)